================================================================================
Multi-Core Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================

INTEL Enterprise Products and Services Division
Intel Corporation

================================================================================

DATE    : August. 16, 2018
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R01.03.0021

================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2018 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : S72C610.86B.01.03.0021.081520182113
Build Date  : August. 15, 2018

================================================================================
                           KNOWN ISSUE
================================================================================


================================================================================
                           SUPPORT PLATFORMS and CRC32 VALUE
================================================================================
Adams Pass Refresh:
           R0021_AdamsPassRefresh.bin CRC32: 0x895E5CE3

	
================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
	Xeon Phi Knights Landing Processor
  Xeon Phi Knights Mill Processor

Microcode update versions:
CPUID     Version      Status
0x50671  000001b6      Release (Xeon Phi Knights Landing B0)
0x80650  00000018      Release (Xeon Phi Knights Mill A0)


On-Board Component Option ROM Versions:
all_gigabit_pxe_vxx.LOM   - 
all_iscsi_vxx.LOM         - 
MATROXVIDEOOPROM.BIN      - Onbaord VGA legacy Oprom v3.8SQ

Memory Reference Code Version       : v02.00.01.00
Management Engine Firmware Version  : 03.01.03.030.0
all_gigabit_pxe_v1.5.78.LOM   - 1G PXE OpROM v1.5.78 (for all EPSD gigabit controllers, including LOMs and I/O modules)
all_10g_pxe_v2.3.24.1.LOM     - 10G PXE OpROM v2.3.24.1 (for all EPSD 10G controllers, including LOMs and I/O modules)
all_iscsi_v3.0.34.LOM         - iSCSI Boot OpROM v3.0.34(for all EPSD gigabit and 10G EPSD controllers, including LOMs and I/O modules)
all_10g_fcoe_v1.8.17.LOM      - 10G FCoE OpROM v1.8.17(for EPSD 10G Niantic I/O module)
X540_Fcoe.LOM                 - 10G FCoE OpROM v1.8.17(for EPSD 10G X540 controllers, including LOMs and I/O module)


ESRT2.ROM                     - ESRT II legacy OpROM (A.14.09091336)
EfiSasDriver.efi              - ESRT II UEFI RAID OpROM (A.14.08121029I)

E7006X3.EFI                   - 1G PCIe gigabit controller UEFI driver (v7.0.06)
E4702X4.EFI                   - 10G controller UEFI driver (v4.7.02)
HfiPcieGen3.efi               - Host Fabric Interface UEFI Driver(v1.7.2.0.0)

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
  UEFI iFlash32 V14.0 build12
  
Beta/Silver/Gold boards:
  Product   Fab Version	  BMC	   FRUSDR    EEPROM	    HSC 


IMPORTANT NOTICE:

================================================================================
			  INTRODUCTION
================================================================================ 

================================================================================
			 INSTALLATION NOTES
================================================================================
================================================================================
                           BIOS Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

User can update BIOS flash image via either of the follow methods...
A. UEFI iFlash32 
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS .CAP file to a HD or USB Flash Drive
       ( Do not use the *Rec.CAP file as it will clear NVRAM and should
         only be used for Recovery - See Recovery Instructions below )
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
	   fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system after the update is completed.

B. Use flash programmer to burn the new BIOS ROM image (16MB) into the flash chip.

c. Backup BIOS update instructions
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS .CAP file to a HD or USB Flash Drive
       ( Do not use the *Rec.CAP file as it will clear NVRAM and should
         only be used for Recovery - See Recovery Instructions below )
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
	   fs0:\> IFlash32 [File Name] /u /ni UpdateBackupBios
   6.  It will update primary BIOS with processed capsule and the backup BIOS update will be completed in next normal boot.
   7.  Restart unit, Backup flash update done.


================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper (called BIOS Recovery Boot Jumper)

A BIOS recovery can be accomplished from backup BIOS region. 


BIOS starts the recovery process by first loading and booting to the recovery image from backup BIOS region.
This process takes place before any video or console is available. Once the system boots to the recovery image use the following steps to perform the BIOS recovery:
   
   1.  Power OFF the system.
   2.  Switch the recovery jumper. Details regarding the jumper ID and location can be obtained from the Board EPS for that Platform.
   3.  Power ON the system.
   4.  The BIOS POST screen will appear displaying the progress and system automatically 
       boots to the EFI SHELL.
   5.  Follow the BIOS recovery update manual for BIOS recovery.

================================================================================
				ME FW Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! Please make sure AC plug in during update !!!!!
!!!!! AC failure during update may cause damage to your system and unrecoverable !!!!!

User can update ME image via either of the follow methods:
A. UEFI iFlash32 
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and ME.CAP and FD.CAP file to a HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
           fs0:\> IFlash32 ME.CAP /u /ni 
           fs0:\> IFlash32 FD.CAP /u /ni 
   6.  AC cycle the system after the update is completed.

B. Use flash programmer to burn the new BIOS ROM image (16MB-From BIOS release package ) into the flash chip.

================================================================================
				IMPORTANT NOTICE
================================================================================


================================================================================
				KNOWN ISSUES/WORKAROUND
================================================================================
================================================================================
				R01.03.0010
================================================================================
        1. If an Administrator or User password was set. User MUST clear out that password before update new capsule. This is a mandatory requirement if BIOS base version is older than R01.03.0010.
================================================================================
				01.03.D0023
================================================================================
        1. Change the BIOS setup option "Adavnced->Memory Configuration->Cluster Mode" or "Adavnced->Memory Configuration->Memory Mode" to "Auto" may result unexpected behavior.
================================================================================
================================================================================
				01.03.D0015
================================================================================
        1. Change the BIOS setup option "Adavnced->Memory Configuration->Cluster Mode" or "Adavnced->Memory Configuration->Memory Mode" to "Auto" may result unexpected behavior.
================================================================================
================================================================================
				01.03.D0012
================================================================================
        1. Change the BIOS setup option "Adavnced->Memory Configuration->Cluster Mode" or "Adavnced->Memory Configuration->Memory Mode" to "Auto" may result unexpected behavior.
================================================================================
================================================================================
				01.01.D058
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed with A0 stepping processor. B0 processor has no this issue.
================================================================================
================================================================================
				01.01.D057
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
================================================================================
				01.01.D049
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
================================================================================
				01.01.D041
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
================================================================================
				01.01.D028
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
================================================================================
				01.01.D009
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
				01.01.0008
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================

================================================================================
				01.01.D0007
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================
================================================================================
				01.01.D0006
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================

================================================================================
				01.01.D005
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed (system halt).
================================================================================

================================================================================
				01.01.D004
================================================================================
        1. Legacy Suse Linux OS could install, but loading failed.
        2. Windows OS install fail with error code 0x0000005C.
================================================================================

================================================================================
				FEATURES ADDED/REMOVED
================================================================================
================================================================================
				R01.03.0021
================================================================================
        1. Inclusion of OPA UEFI 1.7.2.0 in groveport BIOS for KNL-F
        2. Enable the 25% /50% Hybrid mode selection originally
================================================================================
				R01.03.0018
================================================================================
        1. Update uCode patch to PROD-signed 0x0000_0018 for KNM CPU
        2. Update uCode patch to PROD-signed 0x0000_01b6 for KNL CPU
        3. Add the NVMe SSD device support.
        4. Update OPA UEFI 1.6.0.0 in Groveport BIOS for KNL-F
================================================================================
				R01.03.0001 (Initial Refresh reversion for R release)
================================================================================
        1. Update KNL Ref. Code revision to v2.00 release candidate 01.
        2. Update uCode patch to PROD-signed 0x0000_0011 for KNM CPU
        3. Update uCode patch to PROD-signed 0x0000_01b0 for KNL CPU
        4. Update the new splash screen logo         
================================================================================
				01.03.0066
================================================================================
        1. Update KNL Ref. Code revision to v1.95 release candidate 01.
        2. Update uCode patch to PROD-signed 0x0000_000e for KNM CPU
        3. Update uCode patch to PROD-signed 0x0000_01ae for KNL CPU
================================================================================
				01.03.0059
================================================================================
        1. Update KNL Ref. Code revision to v1.90 release candidate 02.
        2. Update uCode patch to PROD-signed 0x0000_000B for KNM CPU
        3. Update the cluster/MCDRAM memory supported modes are:Quad/Cache, Quad/Flat, SNC4/Cache, SNC4/Flat and All2All/Flat for KNM CPU.
================================================================================
				01.03.0050
================================================================================
        1. Update the Policy for Support Memory and Cluster Mode Changes via Warm Reset/No Power Cycle.
================================================================================
				01.03.0043
================================================================================
        1. Drop the Auto options in cluster and memory mode, set the Cluster mode default to Quad mode, Memory mode default to Cache.
        2. Update the ucode patch to 0x1ad for KNL
        3. Support the KNL-F OPA driver in legacy boot OS
        4. Update OPA UEFI 1.4.2.0.0 in AdamPass BIOS for KNL-F
        5. Update ME to SPS_PHI_03.01.03.030.0-GVP-SB_REL(for KNM Beta)
================================================================================
				01.03.0023
================================================================================
        1. Support Memory and Cluster Mode Changes via Warm Reset/No Power Cycle.
================================================================================
				01.03.0015
================================================================================
        1. Update KNM A0 external ucode patch 0xffff_000b.
================================================================================
				01.03.0012
================================================================================
        1. Drop support for Cache modes, Hemi/Quad on asymmetric memory configs.
        2. KNM: Pcode hook to allow VCCP margin tests at PPV
        3. Implement HMAT in accordance with ACPI approved specification.
================================================================================
				01.03.0002
================================================================================
AdamPass Refresh initial BIOS release supports KNM CPU
        1. Update KNL Ref. Code revision to v01.60.01.00
        2. Add KNM A0 CPU signed external ucode patch 0xffff_0009.
        3. Update KNL-F Host Fabric Interface UEFI Driver to reversion v1.4.0.0.0
================================================================================
================================================================================
				01.02.0072
================================================================================
        1. Add the stitch support for AdamPass
        2. Update KNL Ref. Code revision to v01.57.01.00
	3. Update ME firmware version to SPS_PHI_03.01.03.022.0
        4. Add B0 CPU signed external ucode patch 0x0000_01ac.
        5. Update KNL-F Host Fabric Interface UEFI Driver to reversion v1.3.4.0.0
================================================================================
================================================================================
				01.02.0049
================================================================================
        1. Update KNL Ref. Code revision to v01.51.01.00
        2. Remove A0 ucode patch m0850670_ffff0030 support
================================================================================
================================================================================
				01.02.0041
================================================================================
        1. Add B0 CPU signed external ucode patch 0x0000_01a6.
        2. Removed release BIOS contains all debug and test interfaces to meet SDL395 review requirement
        3. Update KNL Ref. Code revision to v01.50.01.00
        4. Update PC platform SPS ME FW to revserion:v03.01.03.021.0	
        5. Update KNL-F Host Fabric Interface UEFI Driver to reversion v1.3.3.0.0
        6. Update AdamsPass BIOS codebase to BP1341.431 to get multiple security fixes.
================================================================================
================================================================================
				01.02.0001 (Initial reversion for R release)
================================================================================
        1. Update AdamsPass BIOS codebase to BP 1340.430 
        2. Add B0 CPU signed external ucode patch 0x0000_01a3.
        3. Update PC platform SPS ME FW to revserion:v03.01.03.020.0
        4. Update KNL-F Host Fabric Interface UEFI Driver to reversion v1.3.1.0.0
================================================================================
================================================================================
				01.01.D242
================================================================================
        1. Update KNL-F Host Fabric Interface UEFI Driver to reversion 0x29
================================================================================
================================================================================
				01.01.D238
================================================================================
        1. Update KNL Ref. Code revision to v01.10.01.00
        2. Add B0 CPU signed external ucode patch 0x0000_01a1.	
================================================================================
================================================================================
				01.01.D231
================================================================================
        1. Update KNL Ref. Code revision to v01.00.03.00
        2. Add B0 CPU signed external ucode patch 0x0000_019d.	
================================================================================
================================================================================
				01.01.D223
================================================================================
        1. Update KNL Ref. Code revision to v01.00.01.00
================================================================================
================================================================================
				01.01.D216
================================================================================
        1. Update KNL Ref. Code revision to v00.99.02.00
        2. Reserved Common and Generation Variable space for future setup token usage.
        3. Setting iMC DDR4 OSR(Opportunistic Self-Refresh) always static disabled.
================================================================================
================================================================================
				01.01.D208
================================================================================
        1. Update KNL Ref. Code revision to v00.99.01.00
================================================================================
================================================================================
				01.01.D190
================================================================================
        1. Update KNL Ref. Code revision to v00.98.01.00
        2. Add B0 CPU signed external ucode patch 0x0000_019b.
        3. Increment BIOS minor security revision number from v02.00 to v02.01 after Sync to BP 1330.421
================================================================================
================================================================================
				01.01.D180
================================================================================
        1. Update PC platform SPS ME FW to revserion:v03.01.03.018.0
        2. Add B0 CPU signed external ucode patch 0x0000_0198.
        3. Update platform security revision number to 02.00
================================================================================
================================================================================
				01.01.D170
================================================================================
        1. Update KNL Ref. Code revision to v00.97.01.00
================================================================================
================================================================================
				01.01.D159
================================================================================
        1. Update KNL Ref. Code revision to v00.96.01.00
        2. Update uCode patch to 0x00000193 for convergence of the tPRQ & GA patch support for a single patch external release.
================================================================================
================================================================================
				01.01.D147
================================================================================
        1. Upgrade KNL source to BP 1330.420 EDKII Core release.
        2. Update KNL Ref. Code revision to v00.95.01.00
        3. Update to KNL B0 Beta microcode production patch 0x0000_0132.
================================================================================
================================================================================
				01.01.D139
================================================================================
        1. Update KNL Ref. Code revision to v00.92.01.00
        2. Update to KNL B0 Beta microcode production patch 0x0000_0130.
================================================================================
================================================================================
				01.01.D124
================================================================================
        1. Implement the runtime memory single bit error detection feature.
        2. Update PC platform SPS ME FW to revserion:v03.01.03.012.0
        2. Update to KNL B0 Beta microcode production patch 0x0000_012e.
================================================================================
================================================================================
				01.01.D104
================================================================================
        1. Update KNL Ref. Code revision to v00.91.01.00
        2. Update to KNL B0 Alpha microcode production patch 0x0000_012B.
================================================================================
================================================================================
				01.01.D096
================================================================================
        1. Upgrade KNL source to BP 1320.410 EDKII Core release
        2. Update KNL Ref. Code revision to v00.90.04.00
        3. Update to KNL B0 Alpha microcode production patch 0xFFFF_0129.
================================================================================
================================================================================
				01.01.D089
================================================================================
        1. Update KNL Ref. Code revision to v00.90.02.00
        2. Update to KNL B0 Alpha microcode production patch 0x0000_0124.
================================================================================
================================================================================
				01.01.D078
================================================================================
        1. Update KNL Ref. Code revision to v00.85.05.00
        2. Update PC platform ME to revserion:v03.01.03.003.0
        3. Update B0 KNL processor debug Microcode to version 0xffff011d
================================================================================
================================================================================
				01.01.D070
================================================================================
        1. Update AdamsPass BIOS codebase to BPE4.0.0
        2. Update KNL Ref. Code revision to v00.84.01.00
        3. Update PC platform ME to revserion:v03.01.03.002.0
        4. Update B0 KNL processor debug Microcode to version 0xffff0115.
        5. Update generate FIT table feature for support KNL B0 stepping processor
================================================================================
================================================================================
				01.01.D058
================================================================================
        1. Add BIOS code for support KNL B0 stepping silicon.
================================================================================
================================================================================
				01.01.D057
================================================================================
        1. Update B0 KNL processor debug Microcode to version 0xffff0113.
        2. Update KNL Ref. Code revision to v00.83.01.00
================================================================================
================================================================================
				01.01.D049
================================================================================
        1. Update KNL processor debug Microcode to version 0xffff0030.
================================================================================
				01.01.D041
================================================================================
        1. Update PC platform ME to revserion:v03.01.03.001.0
        2. Update KNL Ref. Code revision to v0.82.02.
================================================================================
				01.01.D028
================================================================================
        1. Update CP code to revision 3.2.0 (EKDII_CORE_MAIN CL223886)
================================================================================
================================================================================
				01.01.D014
================================================================================
        1. Update KNL processor debug Microcode to version 0xffff002d.
        2. Update KNL Ref. Code revision to v0.81.01.
================================================================================
================================================================================
				01.01.D009
================================================================================
        1. Update PC platform ME to revserion:v03.01.02.001.0
        2. Update 1G PCIe gigabit controller UEFI driver to E4702X4
        3. Update 10G controller UEFI driver to E6604X3
================================================================================
================================================================================
				01.01.D0008
================================================================================
        1. Update KNL processor debug Microcode to version 0xffff0029.
        2. Update MCDRAM Firmware to version 0x4095.
================================================================================
================================================================================
				01.01.D0007
================================================================================
        1. Add a setup option for memory "Data scrambling" Enable/Disable".
        2. Remove Adamspass platform STAT and sSTAT RAID RSTe OpROM support.
	3. Add a setup option for BTB(Branch Target Buffer) feature Enable/Disable.
	4. Add a setup option for MCDRAM Throtting Mode select "CLTT/OLTT".
================================================================================
================================================================================
				01.01.D0006
================================================================================
        1. Update KNL processor debug Microcode to version 0xffff0028.
================================================================================
				01.01.D005
================================================================================
        1. Update KNL processor debug Microcode to version 0xffff0026.
        2. Update ME FW to 03.01.01.4.
================================================================================
				01.01.D004
================================================================================
        1. None
	
================================================================================

================================================================================
				01.01.D003
================================================================================
        1. Update BIOS for support iflash32 update ME capsule file.
	2. Add code for support Platform Reset Policy.
	
================================================================================
				01.01.D002
================================================================================
        1. Update BIOS for support iflash32 update BIOS capsule file (Primary BIOS and Backup BIOS).
        2. Update KNL processor debug Microcode to version 0xffff001f.
        3. Update ME FW to 03.01.00.3.
        4. Add code for ME information "Unknown" on system setup information page.
        5. Fixed No Mass Storage Devices information on USB information page issue.
        6. Update PC BIOS board family ID ˇ°S72C610ˇ± information match with BIOS EPS.

================================================================================
				01.01.D001
================================================================================

===============================================================================
	       			Issues Fixed
================================================================================
================================================================================
				R01.03.0021
================================================================================        
        1. Fix the exception hang issue when stitching the ADP-Refresh BIOS bin
        2. Fix ACPI enable SMI handler sends Set Power State command twice
        3. Fix the Fan Speed offset option in BIOS setup not immediately active before system reset
        4. [HSD-ES][2103618950]Hide "VT for Directed I/O" option in BIOS setup
        5. Increase the security revision for PRT fix
        6. Support 2666MHz DIMMs
================================================================================
				R01.03.0018
================================================================================        
        1. [1504626783]Fixed the number of CPU thread and core in SMBIOS type4 is not as the setting in BIOS setup. 
        2. [1504591229]Fixed Iflash32 utility can't get ITK modified custom BIOS revision string correctly.
        3. [1504629341]Fixed fan profile can not shift when selecting 'Performance' mode in BIOS screen
        4. Fix the potential SATA SGPIO index number error 
================================================================================
				R01.03.0010
================================================================================        
        1. [1504643236]Fixed the password variable log is same in EFI shell for different UUID SUT.

================================================================================
				R01.03.0001 (Initial Refresh reversion for R release)
================================================================================
        1. Fixed the system keeps reseting when no memory DIMMs plugged during the BIOS recovery boot mode.
        2. Fix the incorrect SPI Opcodes to resolve the ChipSec failures
        3. [1504606371]Fixed ITK tool displayed 2"Memory Mode" and "Cluster Mode" options on  Memory Configuration page.
        4. Fixed the DDR frequency limitation values in BIOS setup not working correctly.
================================================================================
				01.03.0066
================================================================================
        1. [220814726]Fixed MCDRAM BIOS default setting for Manufacturing mode is incorrect.
        2. [2006671764]Fixed Virtualization - RHEL 7.4 - with KVM Virtual Machines remains in black screen
================================================================================
				01.03.0059
================================================================================
        1. [1504565891]Fixed wrong BIOS copyright version show up in BIOS setup page on AdamsPass-Refresh platform, it show as “Copyright (c) 2006-2016,Intel Corporation”.
        2. [1504580284]Fixed “Assert NMI on PERR” is still visible and active after change the “Assert NMI on SERR” to disable
        3. [2103618370]Fixed System Boot Timeout function not working if enable Power On Password
        4. [2103618460]Fixed the POST screen show “Enter Password” box after enter the correct password when set the “Power on Password” to Enable and “Quiet Boot” to Disable.
================================================================================
				01.03.0050
================================================================================
        1. [1504558851]Fixed the critical event about Fan during reboot cycle.
        2. Fix the assert issue in debug build BIOS with SPI chip W25Q128FV.
        3. [1406395155]Fixed SEL displayed ME Power State Microcontroller / Coprocessor message during KNM PTU stress
================================================================================
				01.03.0043
================================================================================
        1. [2103616796]Fix for the BIOS boot order cannot same as with ITK changed
================================================================================
				01.03.0023
================================================================================
        1. [220284348]Correct the RAID OPROM Guid
        2. Fix the issue that unable to upgrade/downgrade BIOS version with iFlash tool (SpiFlashLock)
        3. Fix the KNM SMBIOS fields are not displayed as expected.
================================================================================
				01.03.0002
================================================================================
        1. Fix UEFI ESRT2 driver is not loading in UEFI boot mode.                        
================================================================================
				01.02.0072
================================================================================
        1. [1209729113] Fixed Get "get_platform_config: Config bitmap corrupted/uninitialized messages" in dmesg for both hfi1 ports with integrated fabric.
================================================================================
================================================================================
				01.02.0049
================================================================================
        1. [2103615096] Fixed SRAT and SLIT table will lost when memory mode set to “SNC4” and “SNC2” after reset SUT first time.
        2. [2103615105] Fixed The Localities value in SLIT & SRAT table will different test case defined when memory mode set to “SNC2” and “SNC4” after reset SUT several times.
================================================================================
================================================================================
				01.02.0041
================================================================================
        1. [1209235282] Fixed SUT will hang at 0x30 during AC cycle test with install full load 64G DIMMs.
        2. [1209235282] Fixed SUT will hang at 0x31 during AC cycle test with install full load 64G DIMMs.
        3. [1209356453] Fixed There is not "SSB Therm Trip" event be  generated when shut down.
        4. [1209275593] Fixed The BMC event occurred "Surprise Link Down Error" during running AC Cycle.
        5. [1209234818] Fixed The SEL event "SmaRT & CLST" occurred during executing Reboot Cycle testing under RHEL7.2 OS. (with QKT9)
================================================================================
================================================================================
				01.02.0001 (Initial reversion for R release)
================================================================================
        1. Update BIOS version to 01.02.0001 for Production release candidate.
        2. Fixed klockwork issue with the updated klockwork policy.
        3. [EPSD100035543] Fixed [KNL-F] "SBus firmware authorization failed" and " get_platform_config" logged in dmesg and messages in RHEL7.2U7xppsl1.4.2 with OPA driver10.2.
================================================================================
================================================================================
				01.01.D242
================================================================================
        1. [EPSD100035472] Fixed When hot SSB, the "SSB Therm Trip" event is generated before "SSB Temp" UC event.
        2. [EPSD100255881] Fixed IFT Carrier card is not displayed in BIOS or EFI. The OPA OpROM is not loading.
================================================================================
================================================================================
				01.01.D238
================================================================================
        1. [EPSD100035281] Fixed The device name of Intel X520-QDA1 LAN card shows incorrectly in BIOS Setup under UEFI mode.
        2. [EPSD100035373] Fixed PXE diagnostic info and prompt boot manager screen overlapped when boot to PXE under F6 prompt boot manager with UEFI mode.
        3. [EPSD100255776] Fixed Removed unsupported C1E BIOS Option.
        4. [EPSD100035425] Fixed Under EFI shell with UEFI boot mode, IP information not consistent with what we set via command "ifconfig".
================================================================================
================================================================================
				01.01.D231
================================================================================
        1. Update the help string of "Processor C6" in setup menu for match as setup spec definition.
        2. Remove J9A1-USB_4 information from SMBIOS type 8 table
        3. [EPSD100034641] Fixed Heat DIMMs,no UNC/UC events of DIMM thermal margin be generated.
================================================================================
================================================================================
				01.01.D223
================================================================================
        1. Increment ADP BIOS major security revision number after fixed AMI SMM Usbrt and SMI flash handler SMM communication buffer security vulnerability issue.
        2. [EPSD100254764] Fixed IERR Processor error when  two X520 QDA1 PCIe cards connected
        3. [EPSD100255256] Fixed "Resume on AC Power Loss" value in "syscfg  /s  dump.ini /b" dump file not match with BIOS setup page setting on AdamsPass platform.
        4. [EPSD100034080] Fixed incorrect MCDRAM ERR SEL log reported after set unsupported memory configuration then reboot.	
================================================================================
================================================================================
				01.01.D216
================================================================================
        1. [EPSD100031474] Fixed Sometimes SUT doesn't boot up and PSU is power on during AC cycle(Similar EPSD100251827).
        2. [EPSD100034492] Fixed SEL had been recorded memory correctable or uncorrectable error event after injecting error via ITP but status LED always "Green solid".
        3. [EPSD100255049] Fixed Clone of: BIOS Security enhancement for SMM communication buffer.
        4. [EPSD100034870] Fixed User cannot enter correct password at second times when set up with “Caps Lock” key on keyboard under BIOS Setup screen.	
================================================================================
================================================================================
				01.01.D208
================================================================================
        1. Change function to dynamic get PCIe root bridge function number for fill VGA controller bus number in SMBIOS type 41.
        2. Hidden some Memory configuration debug options for ITK use only in production release BIOS.
        3. [EPSD100034504] Fixed The BMC Version CANNOT show complete characters on POST screen.
        4. [EPSD100254732] Fixed Incorrect post code when memories are mixed (LRDIMM and RDIMM)
        5. [EPSD100034329] Fixed Processor C3” option should be removed due to C3 is equal to C6 in current project.
        6. [EPSD100254840] Fixed Accomplish AMI SMM communication buffer fix on UsbRt
        7. [EPSD100034596] Fixed No SEL logging after correctable memory error injected via ITP with BIOS D198.
        8. [EPSD100254405] Fixed System doesn't boot with 6 DIMMS of 64GB SK Hynix memory	
================================================================================
================================================================================
				01.01.D198
================================================================================
        1. Update code for always clear IOH ext pcie device error status in PCIe error handler. 
        2. [EPSD100033992] Fixed System reboot will halt after set Cluster Mode to SNC4/2 and Memory Mode to Cache/Hybrid when the memory is unbalanced of two iMCs sides.
        3. [EPSD100254703] Fixed Adams Pass PCIe riser slot 2 (MB location: J1H2) can not to support two x8 signal.
        4. [EPSD100033891] Fixed There is no DIMM Thermal Trip generated when SUT is DC off (Similar EPSD100031929).	
================================================================================
================================================================================
				01.01.D190
================================================================================
        1. [EPSD100032821] Fixed SUT hang at 0X96 during reboot in RHEL7.2MPSP1.3.1.	
        2. [EPSD100033870] Fixed SUT will hang at 0x96 during DC cycle with KNL-F CPU and omni-path carrier board.
        3. [EPSD100254439] Fixed BIOS 180 occasional video failure during post on Adams Pass.
        4. [EPSD100254285] fixed acpi_cpufreq driver not loading in commercial bios release D170.
        5. [EPSD100254041] Fixed Setting Log Correctable Errors/PCIe AER Support options to Disabled have no function in windows.
        6. [EPSD100034076] Fixed Incorrect SMBIOS information for type 41 Onboard video device.
        7. [EPSD100034005] Fixed IOSF Fabric Register error can be found after executing selftest utility with BIOS D170.
        8. [EPSD100254456] Fixed BIOS Setup Option for VMX removed for GA
================================================================================
================================================================================
				01.01.D180
================================================================================
        1. [EPSD100254157] Fixed Klocwork fix for PcPlatformPkg.
        2. [EPSD100254232] Fixed Klocwork fix for ADP CpPcRestrictedPkg
        3. [EPSD100033933] Fixed SUT halt up under BIOS setup screen after set BIOS date / time to max value.
        4. [EPSD100254041] Fixed Setting Log Correctable Errors/PCIe AER Support options to Disabled have no function in windows.
        5. [EPSD100034006] Fixed The number of processor active cores and L1, L2 cache size under Windows 2012R2 within Task Manager not match DCL defined.
        6. [EPSD100254038] Fixed S72C610.BIOS.D159: Use time more than 8 minutes when do BMC update with BIOS D159 on AdamsPass platform.
        7. [EPSD100253945] Fixed System will reset after ITP cScript command unlock_injreg() executed.
        8. [EPSD100254210] Fixed [ADP]S72C610.BIOS.D159/D170: No detail BIOS update percentage progress info show up when update BIOS on AdamsPass platform.
        9. [EPSD100034075] Fixed ACPI “HMAT” table can be found in BIOS D170 but latest BIOS EPS0.82 did not define this table.
================================================================================
================================================================================
				01.01.D170
================================================================================
        1. [EPSD100254005] Fixed SmmRuntimeProtocol registers potentially unsafe SMI handler.
        2. [EPSD100033820] Fixed OEM Table ID value within ACPI PRAD table different from others.
        3. [EPSD100110768] Fixed Dell/TACC PSU Failure from chassis C564-11 / Nodes running slow.
        4. [EPSD100110769] Fixed Dell/TACC PSU Failure from chassis C561-08/The nodes get periodically throttled with NM exception.
================================================================================
================================================================================
				01.01.D159
================================================================================
        1. Set MeMdesEn value="False" and MeMdesAddr value="0x00" to disable ME Debug Emergency Mode message transmission and event tracing.
        2. Fixed TPM2 PCR0 value always keep same from D078 BIOS issue.
        3. Update code for align the POST Error Code message with EPS and SEL.
        4. Correct and update PCIe and BMC setup strings.
	5. Update PC BIOS used network PXE ROM resersions, Legacy and UEFI Option Rom.
        6. [EPSD100252763] Fixed BIOS Setup Option for VMX added for GA.
        7. [EPSD100032674] Fixed The BIOS does NOT support "Fully Virtualization" function for installing Windows Guest OS under Xen Kernel.
        8. [EPSD100253095] Fixed MCDRAM not recognized as an L3 Cache when MCDRAM is set to Cache mode in BIOS.
        9. [EPSD100033534] Fixed No screen came out from remote console via serial port when boot to DOS key (Legacy OS Redirection also enabled.) and RAID OPROM.
        10. [EPSD100248610] Fixed Syscfg_v14.0.14: Run cmd "syscfg /bldfs" can't load Boot order and the sub order of HDD and NW to default.
================================================================================
================================================================================
				01.01.D147
================================================================================
        1. Re-enable the NMI trigger when meets UC error at the end of WHEA log.
        2. Fix one unexpected PCIE WHEA error log from PCH pcie port(BMC VGA connected).
        3. [EPSD100031929] Fixed Hot DIMM for more time,but no any correlative critical event about DIMM be generated.
        4. [EPSD100252047] Fixed Processor Sensor generates IERR error in SEL after system reset.
        5. [EPSD100033037] Fixed Remote Management Module option should present RMM4 installed status not Dedicated Management Lan.
        6. [EPSD100032608] Fixed Boot order will be changed to default setting after flash bios without adding UpdateNvram.
================================================================================
================================================================================
				01.01.D139
================================================================================
        1. Re-order SRAT table to correspond with OS processing for NUMA domains.
        2. Fixed Windows does not report CACHE correctly.
        3. [EPSD100252473] Fixed S7200AP BIOS Splash Screen not showing Xeon Phi Logo
        4. [EPSD100252367] Fixed "Legacy Hard Disk Order" setup page became inaccessible with "Question Value Mismatch" Error message.
        5. [EPSD100032051] Fixed Option "Tile Disable Bitmap(Hex)" help text is wrong in Setup UI/SPEC.
        6. [EPSD100032545] Fixed current memory speed displays within diagnostic screen different from BIOS Setup displays when no DIMMs populated on SUT.
        7. [EPSD100032608] Fixed Boot order will be changed to default setting after flash bios without adding UpdateNvram.
        8. [EPSD100252915] Fixed MCDRAM uncorrectable errors being generated on Adams Pass.
        9. [EPSD100031864] Fixed System stopped at 0x19 after quit from BIOS recovery mode when primary and back up BIOS version different.
================================================================================
================================================================================
				01.01.D132
================================================================================
        1. Enhanced for 3 beep only occurs once even if there are multi correctable/uncorrectable error detected  during BIST.
        2. Remove setup items "MLC Streamer" and "MLC Spatial Prefetcher"
        3. [EPSD100032472] Fixed No screen output from monitor when boot mode set UEFI and video BIOS" set to "Legacy".
        4. [EPSD100031566] Fixed memory/mcdram parity ecc detection slot error.
        5. [EPSD100031930] Fixed Heat the South Bridge Thermal sensor, the SUT can't been power down by hardware.
================================================================================
================================================================================
				01.01.D124
================================================================================
        1. [EPSD100252549] Fixed Adams Pass intermittently unable to detect PSU.
        2. [EPSD100031961] Fixed SUT stop at 0x9A after changed “Memory Mapped I/O Size” to 512GB/1024GB then reboot system.
        3. [EPSD100250442] Fixed Load Reduced DIMMs will not boot on Adams Pass.
        4. [EPSD100252310] Fixed No 3 beep code and 0xEB POST code after inject memory SBE/MBE during mem BIST.
        5. [EPSD100252600] Fixed Removed BTB Switch from PCSD Adams Pass BIOS Setup
        6. [EPSD100252762] Fixed BIOS Setup Option for VMX removed for BZT
        7. [EPSD100031692] Fixed SUT will hang at post code 0X96 during DC cycle by ipmitool command or reboot in RHEL7.2 or RHEL7.1.
        8. [EPSD100032162] Fixed SUT hang at 0XAD during DC cycle by ipmi command.
        9. [EPSD100031757] Fixed SUT would hang up and no display during run the AC cycle test with BIOS D089
        10. [EPSD100031474] Fixed Sometimes SUT doesn't boot up and PSU is power on during AC cycle(Similar EPSD100251827).
================================================================================
================================================================================
				01.01.D112
================================================================================
        1. [EPSD100031930] Fixed Heat the South Bridge Thermal sensor,the SUT can't been power down by hardware
        2. [EPSD100252464] Fixed Cluster mode (SRK) vs Memory Model (ADP) option in BIOS
        3. [EPSD100032002] Fixed The BIOS Setup UI shows in the upper left corner of the screen, not show on full screen after exiting from EFI Shell.
        4. [EPSD100252409] Fixed With Syscfg_V14.0.13 tool, could not use command "syscfg /bbosys "" 3 2 1" to change boot order on RHEL7.2_x64_Legacy_OS.
        5. [EPSD100252473] Fixed S7200AP BIOS Splash Screen not showing Xeon Phi Logo
        6. [EPSD100031528] Fixed POST error can found within BIOS Setup when enabled iSCSI and connecting iSCSI target.
        7. [EPSD100029101] Fixed SUT can't boot to OS successful after system reset first time when install legacy W2012R2 on iSCSI target.
        8. [EPSD100250750] Fixed When Manufacturing-Mode is detected, BIOS is not setting the Legacy Hard Drive order correctly.
        9. [EPSD100252133] Fixed B0 - PCIe error injection. System halt after inject LCRC (Correctable Error)
        10. [EPSD100252131] Fixed B0 - PCIe error injection. System halt after inject Bad Sequence (Correctable Error)
================================================================================
================================================================================
				01.01.D104
================================================================================
        1. [EPSD100031679] Fixed BMC EWS has show extra MCDRAM on DIMM information page.
        2. [EPSD100031761] Fixed SUT cannot boot to RHEL 7.2 successfully with LR-DIMM after update MPSP 1.3.0.
        3. [EPSD100251909] Fixed SOL enabled and RHEL/SLES Serial output directed to serial cause server to hang during warm reset
        4. [EPSD100031650] Fixed System time will be reset to 01/01/2015 after installed SLES 12
        5. [EPSD100031631] Fixed BIOS option Performance P-limit can found with BIOS Setup but it is not consistent with BIOS Setup spec 1.03 defined.
        6. [EPSD100251829] Fixed BMC14 SEL contains invalid entry on BMC not responding and ME rebooting entry during AC cycle Description
================================================================================
================================================================================
				01.01.D096
================================================================================
        1. [EPSD100031484]  Fixed SUT stopped 0xAD when execute reboot cycle test.
        2. [EPSD100247779]  Fixed Windows Server 2012R2 Failed to install from remote ISO image
        3. [EPSD100031652]  Fixed The locate LED of the ESRT2 RAID couldn't work by RWC2Linux tool.
        4. [EPSD100031632]  Fixed ABRT event generated after boot to installed RHEL OS with B0 CPU.
        5. [EPSD100252132]  Fixed Power Button LED is disabled after flashing BIOS D089
        6. [EPSD100031527]  Fixed MSR 1A0h bit38 is always set to 1 when enable/disable Intel Turbo Boost Technology.
        7. [EPSD100031403]  Fixed Config static IP address under EFI shell via ifconfig failed.
        8. [EPSD100251682]  Fixed Manually updating D058_ME.cap results in "error during SPI service execute.
================================================================================
================================================================================
				01.01.D089
================================================================================
        1. Re-Open RMT BIOS setup options for BIOS validation test requirement.
        2. MCDRAM is set to Flat mode as default in setup. 
        3. Add 1600/1867MHz option for memory speed selections.
        4. [EPSD100251193] [EPSD100250635]  Fixed Not check the vendor specific ID of PCIe extended capabilities for PCIE AERR.
        5. [EPSD100031387]  Fixed The DUT will stop at 0x36 after disabling the "Execute Disable bit".
        6. [EPSD100030221]  Fixed Execute Platform Characterization Launch Request and Get Node Manager Power Characterization Range failed via ipmitool.
        7. [EPSD100029237]  Fixed DDR4 event can't shutdown system.
        8. [EPSD100031390]  Fixed The "L2 Cache" "64K granularity" is not correct in Type 7 "Cache information".
        9. [EPSD100030873]  Fixed DIMM sequence were incorrect in EWS.
        10. [EPSD100030796]  Fixed Processor Socket naming between BIOS and EWS was mismatch.
        12. [EPSD100031480]  Fixed Enable “Post Error Pause” setup option, system will not boot directly to the "Error Manager" page to display the error when major error come out during POST.
        13. [EPSD100251839]  Fixed EWS Sever Power Control options & SUT are occasionally failing to "force-enter BIOS" if selected.
        14. [EPSD100031483]  Fixed SUT can’t not boot to OS (windows and RHEL) successful with B0 CPU after disabled “Hyper-Threading”.
        15. [EPSD100031399]  Fixed Redundant setup option "Hardware PM State Control" in Power&Performance page, "MLC Streamer", "MLC Spatial Prefetcher" in Processor Configuration Page.
================================================================================
================================================================================
				01.01.D078
================================================================================
        1. [EPSD100030221] Fixed Execute Platform Characterization Launch Request and Get Node Manager Power Characterization Range failed via ipmitool.
        2. [EPSD100031336] Fixed System can't successful boot when flashing BIOS on MX25L12873F SPI ROM
        3. [EPSD100031389] Fixed Can't change the "Fan PWM Offset" value under "System Acoustic and Performance Configuration".
        4. [EPSD100031394] Fixed Abnormal HDD name displayed under BIOS Setup when SATA and sSATA contoller mode changed to Enhanced mode.
        5. [EPSD100031400] Fixed CPU C State Control page options changed: lack of "CPU C-state", "Processor C3" option and new option "Package C-State".
        6. [EPSD100031402] Fixed Lack of UEFI OPROM for ESRT2 under UEFI OPROM Control when set SATA/sSATA RAID mode and boot mode to UEFI.
        7. [EPSD100031404] Fixed New information option “Effective Memory” under Setup\Main, need remove or modify setup spec.
        8. [EPSD100031401] Fixed Current memory speed displayed wrong in Diagnostic Screen, actual speed 2133MT/s will be displayed as 1067MT/s.
        9. [EPSD100031390] Fixed The "L2 Cache" "64K granularity" is not  correct in Type 7 "Cache information".
        10. [EPSD100031331] Fixed It's not consist with BIOS EPS 0.79 defined that "SATA Controller(Port0-7)" and "sSATA Controller(Port0-5)" under "Mass Storage Controller Configuration"
        11. [EPSD100031299] Fixed POST error 031F can be found with all2all/cache memory mode when power up SUT without DIMM populated on SUT.
        12. [EPSD100251576] Fixed ADP - KNL B0 L2 Cache not reported in BIOS
        13. [EPSD100030873] Fixed DIMM sequence were incorrect in EWS.
        14. [EPSD100250974] Fixed TPM2.0 bitlocker function fail in UEFI Win2012R2 OS.
        15. [EPSD100250750] Fixed When Manufacturing-Mode is detected, BIOS is not setting the Legacy Hard Drive order correctly.
        16. [EPSD100250541] Fixed System is not disabling cores as expected
        17. [EPSD100250033] Fixed EWS DIMM Information shows UNKNOWN for the DIMM's Asset Tag
        18. [EPSD100029274] Fixed The characters of HDD label under Boot Option does NOT show correctly.
        19. [EPSD100029100] Fixed The sequence of sSATA controller different from SATA controller status.
        20. [EPSD100248397] Fixed Mismatch between BIOS Setup of SATA and BMC's EWS (12X3.5” HSBP)
        21. [EPSD100030549] Fixed Drive port oder in ESRT2 doesn't match quick reference label definition.
================================================================================
================================================================================
				01.01.D070
================================================================================
        1. [EPSD100030387] Fixed PCIe Ports Link Speed option setting have no function
        2. [EPSD100030262] Fixed ME version within SEL event is not consistent release note mentioned after update ME under EFI shell
        3. [EPSD100251581] Fixed Reset on CATERR option in setup have no function
        4. [EPSD100030359] Fixed Execute IPMI command to get DIMM info will get response "Unknown"
        5. [EPSD100248610] Fixed Clone of Syscfg_v14.0.6 Run cmd syscfg bldfs  can't load the sub order of HDD and NW to default when F9 can load default
        6. [EPSD100031051] Fixed Unrecognized UEFI network boot device name listed under BIOS Setup after populated add-in network card on SUT
        7. [EPSD100250974] Fixed TPM2.0 bitlocker function fail in UEFI Win2012R2 OS
================================================================================
================================================================================
				01.01.D058
================================================================================
        1. [EPSD100248250] Fixed SLES 12 OS Fails to boot under Adams Pass commerical BIOS (B0 silicon).
        2. [EPSD100248610] Fixed Syscfg_v14.0.6: Run cmd  "syscfg /bldfs" can't load the sub order of HDD and NW to default when F9 can load default
        3. [EPSD100031051] Fixed Unrecognized UEFI network boot device name listed under BIOS Setup after populated add-in network card on SUT.
        4. [EPSD100030530] Fixed Similar uefi onboard network boot device name listed under boot manager page.
        5. [EPSD100247694] Fixed SSB Temp Shows up as Unavailable in EWS
        6. [EPSD100030795] Fixed AC cycle and keep the system power off,“Power Statistics?display error.
        7. [EPSD100250512] Fixed With 2 2130W S3 Power Supplies with AC power CPU 0 Thermal Status changes state with AC removal on a single PS.
        8. [EPSD100031096] Fixed Help Text definition for user privilege under User Configuration sub-menu different from Figure 30 displayed.
================================================================================
================================================================================
				01.01.D057
================================================================================
        1. Update B0 KNL processor debug Microcode to version 0xffff0113.
        2. Update KNL Ref. Code revision to v00.83.01.00
        3. Fixed legacy support E820 table report wrong BIOS range reserved issue.
        4. Set ME Debug SMBus Emergency Mode Address = 0x38 for ME Debug Emergency Mode message transmission and event tracing.  
        5. [EPSD100030073] Fixed MEMHOT_N Signal not assert when power supply Alert_N signal at low state.
        6. [EPSD100030678] Fixed New boot device "UEFI Network" under UEFI mode after enabled Payload boot function via ITK
        7. [EPSD100030530] Fixed Similar uefi onboard network boot device name listed under boot manager page.
        8. [EPSD100110717] Fixed Correct PCH Soft strap default setting in SPS flash descriptor to match SMB Host/ME_0/VR clock frequency.
        9. [EPSD100251244] Fixed MCTP Interface Error SEL.
        10. [EPSD100030792] Fixed SmaRT & CLST event occurred during system power cycle.
================================================================================
================================================================================
				01.01.D049
================================================================================
        1. Fixed build processing meta-data warning message for PcdMinimalValidYear override issue.
        2. Update the EDC SEL error report Sensor Number to 0x1c.
        3. [EPSD100250038] Fixed EWS CPU Information Socket Type : Other issue.
        4. [EPSD100030716] Fixed SUT will boot to EFI shell directly after prssing F12 when end of POST with UEFI mode
        5. [EPSD100029139] Fixed HDD string duplication in BBS while set SATA controller to Enhance IDE mode.
        6. [EPSD100030097] Fixed BIOS boot option will have "sles12-secureboot" and UEFI HDD after installing SLES12(UEFI).
        7. [EPSD100029078] Fixed Update the BIOS/board memory channel map reported to BMC.
================================================================================
================================================================================
				01.01.D041
================================================================================
        1. [EPSD100029734] Fixed BIOS settings of "Add-in Video Adapter" and "Onboard Video" did not auto change to "Enabled" and "Disabled" when add-in VGA populated on SUT
        2. [EPSD100030454] Fixed No POST Error event recorded in Error Manager under BIOS after clean CMOS via jumper with ITK modified BIOS.
        3. [EPSD100030419] Fixed No diagnostic description "AHCI Capable Controller is disabled" after end of POST while disabled sATA and sSATA controller under BIOS Setup.
        4. [EPSD100029659] Fixed SBO feature still enabled and boot order did not change as what we set after user intentionally changes the boot order.
        5. [EPSD100029018] Fixed HDD isn't back to original positions as Boot Order table when enable static boot order.
        6. [EPSD100029097] Fixed USB boot devices also list at the top of boot order or boot devices order even disabled USB boot priority.
================================================================================
				01.01.D028
================================================================================
        1. [EPSD100028933] Remove SVOS table support
        2. [EPSD100250034] Fixed EWS CPU Information Part Number : Not Present.
        3. [EPSD100250035] Fixed EWS CPU Information Asset Tag : UNKNOWN
        4. [EPSD100250036] Fixed EWS CPU Information Serial Number : Not Present.
        5. [EPSD100030278] Fixed Abnormal memory configuration screen display under BIOS Setup after shift to the bottom of page.
        6. [EPSD100250430] Fixed IFlash32 V14_0_Build7: BIOS does not support password option when flashing customized capsule file generated by ITK
        7. [EPSD100030154] Fixed Warning prompt window displayed after load back to default then press F10 while populated PCIe RMT3PB080 or RS25DB080 under UEFI mode.
        8. [EPSD100029639] Fixed BIOS setting for Onboard Video and Add-in Video Adapter did not rolls back to default setting that EPS defined after reset SUT when illegal VGA 
policy settings capsule updated.
================================================================================
				01.01.D014
================================================================================
        1. [EPSD100029010] Fixed SUT failed boot to Windows 2012R2 under MFG mode.
        2. [EPSD100029659] Fixed SBO feature still enabled and boot order did not change as what we set after user intentionally changes the boot order.
        3. [EPSD100029097] Fixed Boot devices also list at the top of boot order or boot devices order even disabled USB boot priority.
        4. [EPSD100030092] Fixed Additional characters "N/A" listed beside CPU information under Processor Configuration page.
        5. [EPSD100250466] Fixed F10 key behavior is inconsistent after change different BIOS setting.
        6. [EPSD100250468] Fixed The years less than 2013 can be set to system date option in setup.
================================================================================
				01.01.D009
================================================================================
        1. Remove MRC serial port debug message output function.
        2. Sync PC common Dualvideo module to latest revision.
        3. Fixed server system information page showing information string not correct issue.
        4. Add code for PlatformHooks use local symbol for identify every PCI Option Rom type is an AHCI or others.
        5. [EPSD100029973] Fixed [EA][RMT]RMT test log issue.
        6. [EPSD100029048] Fixed BIOS setup changes that were made with the previous BIOS has been altered after update BIOS.
        7. [EPSD100029019] Fixed ABRT error can found after installation completed then boot to RHEL7.1.
        8. [EPSD100029820] Fixed Add-in card OPROM still can found when SUT POST even disabled it under PCIe Port Oprom Control.
        9. [EPSD100029654] Fixed SUT cannot detect UEFI boot device for X540-T2 Add-on card in BIOS Setup
        10. [EPSD100029733] Fixed The unit of current memory speed under diagnostic screen different from EPS defined
        11. [EPSD100029762] Fixed Update the setup option " DCU Instruction Prefetcher" &"DCU Streamer Prefetcher" to "L1 Prefetcher" and "L2 Prefetcher" according to BWG
        12. [EPSD100029843] Fixed NIC or RAID OPROM will not display on remote terminal when Legacy OS Redirection is disabled.
        13. [EPSD100030030] Fixed EIST setting different from what we modified by ITK after update modified capsule under shell.
        14. [EPSD100029010] Fixed SUT failed boot to pre-installed W2012R2 under MFG mode.
        15. [EPSD100028930] Fixed Unknown Pilot III driver can found under UEFI boot mode.
        16. [EPSD100029142] Fixed 23 tests failed of TCGBIOS tool test.
        17. [EPSD100029638] Fixed Error code 8606 list under Error Manager after update BIOS by iflash32 specific switch for NVRAM update.
        18. [EPSD100029045] Fixed Keyboard still functional even disabled USB Controller
        19. [EPSD100029764] Fixed "Resume on AC Power loss" and "System Boot Timeout" default setting that modified by ITK would be changed after Clear CMOS
        20. [EPSD100248699] Fixed Sysinfo_v14.0.6:many incorrect BIOS options were dumped in sysinfo_log.txt under RHEL7_UEFI.
        21. [EPSD100029859] Fixed POST error info is gray out and lack of error description under Error Manager page when error generated
        21. [EPSD100029763] Fixed Add-in X540 PXE boot devices always at the top of Network boot device order.
        23. [EPSD100028992] [EPSD100028991] Fixed Incorrect value of partition row position field within SMBIOS
        24. [EPSD100029761] Fixed UEFI NIC OPROM listed in Storage controller category under UEFI Option ROM Control page
        25. [EPSD100029889] Fixed Lack of 0x5220 POST error display under Error Manager page after clean CMOS by jumper.
        25. [EPSD100029135] Fixed System GUID between BMC and BIOS didn't match.
        26. [EPSD100250193] Fixed S72C610.BIOS.D0008:every utility will hang on with bios D0008.
	27. [EPSD100250198] Fixed ADP - Updating BMC 9108 takes too long under BIOS D0008
	28. [EPSD100030084] Fixed The lastest version "Selview.efi" tool stop on "Please Wait" screen, can not show any SELs from BMC.
	29. [EPSD100030089] Fixed SUT need wait a while to roll back to EFI shell command line after update BIOS capsule under EFI shell. Similar symptom while update BMC 0005 capsule, it used more time to complete.
================================================================================
================================================================================
				01.01.D0008
================================================================================
        1. Add code for PC commercial BIOS support MCDRAM Ras feature.
        2. Add a workaround for old 0 MCDRAM and 4 MCDRAM silicon still could boot up.
        3. Update code for fixed Manufacturing Mode can’t update BIOS, ME and FD capsule issue.
        4. [EPSD100028923] Fixed Current MCDRAM patch version display "N/A" under BIOS.
        5. [EPSD100029087] Fixed MMCFG_BASE and MMCFG_LIMIT value are wrong and do not change when set MMIO size in Setup.
        6. [EPSD100029850] Fixed BIOS extended memory copy error display on screen when boot from onboard network.
        7. [EPSD100029889] Fixed Lack of 0x5220 POST error display under Error Manager page after clean CMOS by jumper.
        8. [EPSD100029891] Fixed Losing options of "Add-in Video Adapter" and "Onboard Video" under PCI Configuration sheet.
        9. [EPSD100029764] Fixed Resume on AC Power loss and "System Boot Timeout" default setting that modified by ITK would be changed after Clear CMOS.
        10. [EPSD100029843] Fixed NIC or RAID OPROM will not display on remote terminal when Legacy OS Redirection is disabled.
        11. [EPSD100029761] Fixed UEFI NIC OPROM listed in Storage controller category under UEFI Option ROM Control page.
        12. [EPSD100029763] Fixed Add-in X540 PXE boot devices always at the top of Network boot device order.
        13. [EPSD100029859] Fixed POST error info is gray out and lack of error description under Error Manager page when error generated.
        14. [EPSD100249824] Fixed Syscfg_V14.0.10_AllOS:Error will be return when restore or set biossettings with bios version S72C610.BIOS.D0007
        15. [EPSD100249853] Fixed Sysinfo_V14.0.11_AllOS:sysinfo_log.txt can not get BIOS Settings (per BIOS SETUP F2 screen)
        16. [EPSD100248699] Fixed Sysinfo_v14.0.6:many incorrect BIOS options were dumped in sysinfo_log.txt under RHEL7_UEFI.
        17. [EPSD100028997] Fixed Few of errors can found within Type 41 table.
        18. [EPSD100248229] Fixed Primary SATA controller disabled when no drives attached
        19. [EPSD100028929] Fixed System auto power on when connecting power cable to SUT.
        20. [EPSD100028991] Fixed Incorrect value of partition row position field within SMBIOS.
        21. [EPSD100028992] Fixed Simiar value of partition row position field within SMBIOS.
        22. [EPSD100029135] Fixed System GUID between BMC and BIOS didn't match.
        23. [EPSD100248570] Fixed Sysinfo_v14.0.6:there are some "Unknown" values displayed in sysinfo_log.txt.
        24. [EPSD100248622] Fixed Syscfg_v14.0.6:some incorrect BIOS options were dumped into syscfg.ini under RHEL7_UEFI.
        25. [EPSD100248692] Fixed Clone of: Sysinfo_v14.0.6:some value of BIOS option display "Unknow" in sysinfo_log.txt
        26. [EPSD100248694] Fixed Clone of: Sysinfo_v14.0.6:some value of BIOS options display "Not Installed","???", "Not Found" and "  " in sysinfo_log.txt
        27. [EPSD100029820] Fixed Add-in card OPROM still can found when SUT POST even disabled it under PCIe Port Oprom Control.
        28. [EPSD100029736] Fixed Bluescreen can found when boot to W2012R2 with CPU that contained 8GB MCDRAM.
================================================================================
================================================================================
				01.01.D0007
================================================================================
        1. [EPSD100029354] Remove the "Active Processor Cores" in setup to fix it is not functional and settings also not match processor configuration.
        2. [EPSD100029388] Fixed BIOS settings "SNC-2/4" can't be changed successful while Tile Disable Bitmap(Hex) set to 0 (Default value).
        3. [EPSD100029390] Fixed SUT stopped at 0xAD when boot with BMC force update settings.
        4. [EPSD100247748] Fixed BIOS ID Version string is not meeting the Intel BIOS ID standard.
        5. [EPSD100248653] Fixed OFU_v14.0.3:sometimes ME update fail.
        6. [EPSD100029735] Fixed Sometimes ME update failed under EFI shell.
        7. [EPSD100028965] Fixed The value of Memory Error Correction within SMBIOS is not set to Single ECC.
        8. [EPSD100029188] Fixed When system power on without memory, speaker cannot beep.
        9. [EPSD100029252] Fixed There is no blank space between "capacity" and "Unit" of field "Effective Memory" in BIOS Setup.
        10. [EPSD100248635] Fixed Syscfg_v14.0.6:the function of /bldfs doesnot match with F9+F10
        11. [EPSD100028963] Fixed No related information for system slot Information within SMBIOS
        12. [EPSD100028962] Fixed No related information for Port Connector Information within SMBIOS type 8
        13. [EPSD100028764] Fixed System power on, but front panel power LED always off
        14. [EPSD100028959] Fixed Add devicetypeinstance in SMBIOS type41
        15. [EPSD100029147] Fixed Warning prompt window can found when loading default valued under UEFI mode, and Update all Adamspass used Option Roms (Legacy & UEFI)
        16. [EPSD100249211] Fixed CpPcPlatPkg Klockwork scan issue(fix bios capsule update fail)
	17. [EPSD100029494] Fixed Incorrect value of Device Type field within Type 41 for onboard NICs device enabled or not.
	18. [EPSD100028969] Fixed Manufacturer string should display "NO DIMM" within SMBIOS when no DIMM populated on slots but it should be display "Empty/NO DIMM".
	19. [EPSD100029531] Fixed “Pause?key isn’t functional while system boot timeout counter counted.
	20. [EPSD100029496] Fixed SUT stopped at 0xBB and did not emit 3 beep code while only populated one non-SPD DIMM on SUT.
	21. [EPSD100249390] Finished Require option to disable data scrambling in ADP BIOS.
	22. Fixed IP clean code build BIOS could not update BIOS, ME and FD capsule issue.
================================================================================

================================================================================
				01.01.D0006
================================================================================
        1. [EPSD100249010] Fixed BIOS unable to read the FRU information from the board
        2. [EPSD100249194] Fixed BIOS is not enumerating the PCIe slot numbers correctly for the Riser slots in Adams Pass.
        3. [EPSD100029354] Fixed "Active Processor Cores" is not functional and settings also not match processor configuration.
        4. [EPSD100248273] Fixed Chassis control command to generate NMI does not work on ADP.
        5. [EPSD100029391] Fixed No help text within BIOS Setup under Delete EFI Boot Option page.
        6. [EPSD100029235] Fixed PCHHOT can't assert when the temperature reach the threshold
        7. [EPSD100029309] Fixed Default onboard NIC device order not consistent with NIC Confogutation displayed.
        8. [EPSD100029253] Fixed There is no blank line between onboard NIC and other BIOS options within NIC Configuration page under BIOS Setup.
        9. [EPSD100247799] Fixed Adams Pass (KNL) ?OS fails to load with more than two 8G DIMMs
        10. [EPSD100028956] Fixed The value of Processor Upgrade Field within SMBIOS is not 0X2Bh.
        11. [EPSD100249024] Add code for support OA2.x
        12. [EPSD100249211] Fix CpPcPlatPkg Klockwork scan issue	
================================================================================
================================================================================
				01.01.D005
================================================================================
        1. [EPSD100029313] Fixed Failed to update ME and FD regions capsules under EFI shell.
        2. [EPSD100248272] Fixed FP Power button does not work after system reboots from CTRL+ALT+DEL
        3. [EPSD100028767] Fixed Failed to install RHEL 7.1 by USB CD-ROM.
        4. [EPSD100028776] Fixed The SOL function show disable in BIOS after enable SOL function via EWS.
        5. [EPSD100028921] Fixed DIMM location display within BIOS not consistent with silkscreen marked.
        6. [EPSD100029098] Fixed Remove boot device will cause Static Boot Order (SBO) change to disabled.
        7. [EPSD100028975] Fixed SUT still can be shutdown via front panel power button even front panel lockout had enabled.
        8. [EPSD100028993] Fixed Incorrect BIOS Version String within SMBIOS table.
        9. [EPSD100029000] Fixed SUT can't install legacy 2012R2 (November update) after loading controller driver with SATA or sSATA port.
        10. [EPSD100029001] Fixed Failed to install uefi W2012R2 (November update) with SATA or sSATA controller.
        11. [EPSD100029005] Fixed SUT can't shut down via power button under legacy RHEL7.1, W2012R2.
        12. [EPSD100029245] Fixed To enable KNL full 72 cores for thermal Alpha validation
        13. [EPSD100029016] Fixed Similar uefi network boot device name listed in boot manager page while populated add-in card Intel I350-T4.
        14. [EPSD100029036] Fixed Incorrect response data getting from cmdtool while "Set Fan Profile" set to "Accoustic" or "Performance".
        15. [EPSD100029050] Fixed Error Manager did not display the message "Baseboard Management Controller failed self test and Sensor Data Record empty" with the error code #8300 and #8404.
        16. [EPSD100029099] Fixed Abnormal boot order under Boot manager sheet whil pressing F9 under UEFI mode.
        17. [EPSD100029109] Fixed There is no payload boot entry along with other boot devices in Boot Manager.
        18. [EPSD100029110] Fixed SUT boot to flash disk directly while pressed F10 after enabled payload boot feature.
        19. [EPSD100029111] Fixed No Password prompt window display when payload boot enabled then pressed F10 at the end of POST.
        20. [EPSD100029112] Fixed NVRAM area for onbaord NIC can't be dump with dmpstore EFI shell command.
        21. [EPSD100029114] Fixed No other hot key information at the end of POST when payload boot without payload file name in payloadsig.txt.
        22. [EPSD100029242] Fixed SUT halt up when using "ping" command under EFI shell.
        23. [EPSD100029243] Fixed User could not invoke legacy OPROM via remote console during POST when console redirection enabled.
        24. [EPSD100029244] Fixed Corresponded hot key under shell editor are not redirect to remote console while console redirection enabled.
        25. [EPSD100029311] Fixed Warning prompt window display when change some BIOS settings then load back to default then press F10.
        26. [EPSD100247690] Fixed The Adams Pass BIOS unable to set the Onboard Video as the Primary video display when the board in Manufacturing mode.
        27. [EPSD100248184] Fixed Adams Pass EFI Shell unable to map CD/DVD ROM
        28. [EPSD100248607] Fixed Syscfg_v14.0.6:SUT cannot boot up successfully after run command:syscfg.efi /bldfs ""
================================================================================

================================================================================
				01.01.D004
================================================================================
        1. [EPSD100029141] Fixed BIOS Option "Console Redirection" become gray out after pressed F9 while SOL enabled first issue.
        2. [EPSD100029041] Fixed Forced FDD is not functional when connecting 4GB flash disk then changing BIOS setting under USB configuration issue.
        3. [EPSD100028911] Fixed Only detect 2 SATA HDDs within ESRT2 OPROM with SATA controller for a node issue.
        4. [EPSD100028913] Fixed BIOS display "Press F7 to show boot menu option" during POST but there is no definition within EPS 0.7 issue.
        5. [EPSD100028997] Fixed Few of errors can found within Type 41 table issue.
        6. [EPSD100028995] Fixed No related information for System Configuration Options within SMBIOS.
        7. [EPSD100029034] Fixed Storage OPROM still can found when SUT POST under MFG mode.
        8. [EPSD100028961] Fixed The value of L2 cache within smbios table not consistent with BWG mentioned issue.
        9. [EPSD100028970] Fixed The value of configured memory clock speed field within SMBIOS different from BIOS setup information.
        10. [EPSD100028971] Fixed Incorrect value of Memory Type field within SMBIOS issue.
        11. [EPSD100028990] Fixed Two Type 20 table found within SMBIOS table even ond DIMM populated on SUT.
        12. [EPSD100028928] Fixed A few of incorrect information display on diagnostic screen issue.
 
================================================================================
				01.01.D003
================================================================================
        1. [EPSD100247876] Fixed SMBIOS type 38 IPMI Device Information show not found in log file.
	2. [EPSD100247874] Fixed SMBIOS type 0 BIOS Version string and Release Date string are not equal to release notes defined.
	4. [EPSD100247868] Fixed SMBIOS Type 8 Port Connector Information is not completed.
	5. [EPSD100247869] Fixed SMBIOS Type 9 SUT have 2 PCIE slots but SMBIOS contain 4 type 9 structures, and Slot Designation string for each instance is wrong.
	6. [EPSD100028004] Fixed The "Mass Storage Devices" option is hidden when press F9 to load default issue.
	7. [EPSD100247951]&[EPSD100247992] Fixed Wording mistake in  "User Configuration"and Setup Server Information Page
	8. [EPSD100248067] Fixed Setup menu for other misc items string issue.
	9. [EPSD100247863] Fixed the help text of "Early System Boot Timeout" show incorrect issue.
	10. [EPSD100248196] Update Varstore patch tool to support more variables.
	11. [EPSD100246931] Fixed redundant item "Intel(R) Storage Module" exist in bios setup issue.
	12. [EPSD100246009] Add code for GroveportPlatPkg One Tree - ACPI Sx0 power Status notification to BMC.
	13. [EPSD100245923] Add code for GroveportPlatPkg One Tree - Sync up SPMI ACPI table.
	14. [EPSD100246617] Add code for GroveportPlatPkg One Tree - Post Code related update in platform init.
	15. [EPSD100245923] Add code for GroveportPlatPkg One Tree - Sync up SPMI ACPI table.
	16. [EPSD100246052] Add code for GroveportPlatPkg One Tree - Bug fix for PCIEMAXPAYLOAD in PciPlatform.inf makes GrovePortPlatPkg not aligned with RC.
	17. [EPSD100027558] Fixed System Boot Timeout continued counted even pressing hot key to booting system issue.
	18. Fixed SMBIOS Update Module doesn't build in project issue.
	19. Fixed UEFI mode install Windows 2012 R2 failed issue.
	20. Fixed Console redirection setup option no functional for disable CR issue.
	21. Fixed ESRT2 UEFI Option ROM can't be dispatch issue.


================================================================================
				01.01.D002
================================================================================
        1. [EPSD100247760] Fixed SUT cannot boot up when connect recovery jumper
        2. [EPSD100247757] Fixed SUT cannot enter bios setup when set MFG jumper, and the time at information screen is too short.
        3. [EPSD100247758] Fixed No NIC OpROM dispatch during POST when enable onboard NIC OpROM issue
        4. [EPSD100247764] Fixed No PXE boot option in setup boot manager when set boot mode to legacy issue.
        5. [EPSD100247762] Fixed No ESRT2 RAID OpROM dispatch during POST when set ESRT2 in SATA Mode option issue.
        6. [EPSD100247815] Fixed "Boot device node cannot be found" error when run syscfg.efi /bbo command issue.
        7. [EPSD100247817] Fixed No iSCSI OpROM load during POST when enable the 'iSCSI 1GbE/10GbE Option ROM' in Setup issue
	
================================================================================
				01.01.D001
================================================================================
        1. Initial Pre-Alpha Release. 




















